#ifndef UTIL_H
#define UTIL_H

#define ATAIDLE_VERSION "1.0"

void 	usage();
int	ata_strtolong( char * src, long * dest );
int	ata_getidleval( uint32_t idle_mins, uint16_t *timer_val );
char *  ata_getversionstring(uint16_t ata_version);
void	byteswap(char * buf, int from, int to);
void	strpack(char * buf, int from, int to);
bool	checkargs( int argc, char ** argv, char * optstr, bool * needchandev );
void	byteswap_ata_data( int16_t * buf );
void	hexdump( char * data, int count );

#endif /* UTIL_H */
